Bug 495745 - Port system-config-kickstart glade file to version 3 format
Port system-config-kickstart glade file to version 3 format
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493835 493842 493857 493887
  Show dependency treegraph
 
Reported: 2009-04-14 11:33 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 13:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glade2 to glade3 patch (632.49 KB, patch)
2009-04-17 09:39 EDT, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-14 11:33:42 EDT
Description of problem:
Port system-config-kickstart glade file to version 3 format

Version-Release number of selected component (if applicable):
2.7.21-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I will add diff patch. Open in glade3 a saving it should be sufficient.
Comment 1 Roman Rakus 2009-04-14 12:54:41 EDT
Hmm... there are many deprecated widgets... This will take a long time.
Comment 2 Roman Rakus 2009-04-17 09:39:44 EDT
Created attachment 340009 [details]
glade2 to glade3 patch

This patch change system-config-kickstart.glade file from glade2 format to glade3 format.
Also change deprecated widgets to actual (gtk.OptionMenu to gtk.ComboBox, to gtk.Combo (with editable entry) to gtk.ComboBoxEntry)
Main menu Stock items set to new ones.
Comment 3 Chris Lumens 2009-04-17 13:14:02 EDT
Wow, thanks for all the work.  This will be included in the next build of system-config-kickstart.

Note You need to log in before you can comment on or make changes to this bug.